---
title: Delete Basin Catalog metadata
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Basin Catalog](https://developers.cloudflare.com/api/python/resources/basin_catalog)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Delete Basin Catalog metadata

basin\_catalog.delete(strbucket\_name, BasinCatalogDeleteParams\*\*kwargs)

POST/accounts/{account\_id}/basin-catalog/{bucket\_name}/delete

Removes the catalog from the control plane without deleting R2 bucket objects. Set force=true to remove catalog namespaces, tables, views, and maintenance metadata. Force deletion is limited to a configured catalog object count.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Workers R2 Data Catalog Write`

##### ParametersExpand Collapse

account\_id: str

Use this to identify the account.

[Link to this property](<#(resource)%20basin_catalog%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

bucket\_name: str

Specifies the R2 bucket name.

maxLength63

minLength3

[Link to this property](<#(resource)%20basin_catalog%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20bucket_name%20%3E%20(schema)>)

force: Optional\[[bool](<https://developers.cloudflare.com/api/python/resources/basin_catalog/methods/delete#(resource)%20basin_catalog%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20force%20%3E%20(schema)>)]

Remove child metadata before deleting the catalog.

[Link to this property](<#(resource)%20basin_catalog%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20force%20%3E%20(schema)>)

### Delete Basin Catalog metadata

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
client.basin_catalog.delete(
    bucket_name="my-data-bucket",
    account_id="0123456789abcdef0123456789abcdef",
)
```

##### Returns Examples